/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for HemodynamicRatios
 */
public enum EnumCM_HemodynamicRatios 
{
	//CID 3620 Hemodynamic Ratios
		TIBIAL_BRACHIAL_INDEX("Tibial/brachial index"),
		PULMONARY_SYSTEMIC_FLOW_RATIO("Pulmonary/Systemic Flow Ratio"),
		CORONARY_FLOW_RESERVE("Coronary Flow reserve"),
		DIASTOLIC_SYSTOLIC_VELOCITY_RATIO("Diastolic/Systolic velocity ratio"),
		HYPEREMIC_RATIO("Hyperemic ratio"),
		PULSATILITY_INDEX("Pulsatility Index"),
		HEMODYNAMIC_RESISTANCE_INDEX("Hemodynamic Resistance Index");

	private String value;

	EnumCM_HemodynamicRatios(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
